Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xsl
Class TemplatesHandlerImpl

    java.lang.Object
      |
      +--com.caucho.xml.DOMBuilder
            |
            +--com.caucho.xsl.TemplatesHandlerImpl

All Implemented Interfaces:
  org.xml.sax.ContentHandler, TemplatesHandler, XMLWriter

public class TemplatesHandlerImpl
extends DOMBuilder
implements TemplatesHandler

Field Summary
`protected static L10N` | `L`

Method Summary
`void` | `endDocument()` Receive notification of the end of a document.
`Templates` | `getTemplates()` Returns the compiled stylesheet.

Methods inherited from class com.caucho.xml.DOMBuilder
`attribute, cdata, cdata, characters, comment, comment, dtd, endElement, endPrefixMapping, entityReference, getEscapeText, getNode, getSystemId, ignorableWhitespace, init, processingInstruction, setCoalescing, setDocumentLocator, setEscapeText, setFilename, setLocation, setSkipWhitespace, setStrictXML, setSystemId, skippedEntity, startDocument, startElement, startElement, startElement, startPrefixMapping, text, text`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.transform.sax.TemplatesHandler
`getSystemId, setSystemId`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Field Detail

### L

    protected static L10N L

Method Detail

### getTemplates

    public Templates getTemplates()

  Description copied from interface: `TemplatesHandler`
  Returns the compiled stylesheet.
  Specified by:
    `getTemplates` in interface `TemplatesHandler`

### endDocument

    public void endDocument()

  Description copied from interface: `org.xml.sax.ContentHandler`
  Receive notification of the end of a document.

  The SAX parser will invoke this method only once, and it will be the last method invoked during the parse. The parser shall not invoke this method until it has either abandoned parsing (because of an unrecoverable error) or reached the end of input.

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endDocument` in class `DOMBuilder`
  Following copied from interface: `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.
  See Also:
    `ContentHandler.startDocument()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD